import request from '@/utils/request'

// 查询健康数据列表
export function listHealthData(query) {
  return request({
    url: '/his/healthData/list',
    method: 'get',
    params: query
  })
}

// 查询健康数据详细
export function getHealthData(id) {
  return request({
    url: '/his/healthData/' + id,
    method: 'get'
  })
}

// 新增健康数据
export function addHealthData(data) {
  return request({
    url: '/his/healthData',
    method: 'post',
    data: data
  })
}

// 修改健康数据
export function updateHealthData(data) {
  return request({
    url: '/his/healthData',
    method: 'put',
    data: data
  })
}

// 删除健康数据
export function delHealthData(id) {
  return request({
    url: '/his/healthData/' + id,
    method: 'delete'
  })
}

// 导出健康数据
export function exportHealthData(query) {
  return request({
    url: '/his/healthData/export',
    method: 'get',
    params: query
  })
}